Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.entity.pillar
Interface PillarSelector

All Superinterfaces:
  EventListener, Iterable<List<Object>>, IterableSelector<List<Object>>, ListIterable<List<Object>>, ListIterableSelector<List<Object>>, PhaseLifecycleListener, Selector, SolverLifecycleListener

All Known Implementing Classes:
  DefaultPillarSelector

    public interface PillarSelector

extends ListIterableSelector<List<Object>>

A pillar is a `List` of entities that have the same planning value for each (or a subset) of their planning values. Selects a `List` of such entities that are moved together.

See Also:
  `EntitySelector`

Method Summary
`EntityDescriptor` | `getEntityDescriptor()`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector
`getSize`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType, isCountable, isNeverEnding`

Methods inherited from interface org.optaplanner.core.impl.phase.event.PhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.common.iterator.ListIterable
`listIterator, listIterator`

Methods inherited from interface java.lang.Iterable
`iterator`

Method Detail

### getEntityDescriptor

    EntityDescriptor getEntityDescriptor()

  Returns:
    never null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.1.0.CR1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2014 JBoss by Red Hat. All Rights Reserved.